public class Boolean
{
  static public void main( String[] args )
  {
  	Root test = new Root();
	test.head = new Binop("a");
	test.head.term1 = new Unop("b"); 
	test.head.term2 = new Var("b"); 
	
  }
}


class Root
{
	Term head;

}


class Term
{
	
	Term term1;
	Term term2;
	String exp;
	
	public Term(String exp)
	{
		this.exp = exp; 
	}
	
	public void print() {}
	public void split(String a){}
	public int getVal()
	{
		return 1;
	}
}

class Binop extends Term
{
	public Binop (String exp)
	{
		super(exp);
	}
	
}


class Unop extends Term
{
	public Unop (String exp)
	{
		super(exp);
	}
	
}

class Var extends Term
{
	public Var (String exp)
	{
		super(exp);
	}
	
}
